Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v12.metadata
Class EntitiesDescriptor

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.liberty.v12.metadata.EntitiesDescriptor`

public class EntitiesDescriptor
extends oracle.security.xmlsec.util.XMLElement

Liberty 1.2 libMD:EntitiesDescriptor element, consisting of two or more `libMD:EntityDescriptor`s.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`EntitiesDescriptor(org.w3c.dom.Document owner)` Creates a new `EntitiesDescriptor` instance within the specified XML Document.
`EntitiesDescriptor(org.w3c.dom.Element element)` Creates a new `EntitiesDescriptor` instance from the given Element node.
`EntitiesDescriptor(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `EntitiesDescriptor` instance from the given Element node.

Method Summary
`void` | `addEntityDescriptor(EntityDescriptor descriptor)` Adds an EntityDescriptor child element to this `EntitiesDescriptor` element.
`java.util.List` | `getEntityDescriptors()` Returns a list of this `EntitiesDescriptor` element's EntityDescriptor child elements.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntitiesDescriptor

    public EntitiesDescriptor(org.w3c.dom.Element element)
                       throws org.w3c.dom.DOMException

  Creates a new `EntitiesDescriptor` instance from the given Element node.
Parameters:
  `element` - A Liberty EntitiesDescriptor XML element.

### EntitiesDescriptor

    public EntitiesDescriptor(org.w3c.dom.Element element,
                              java.lang.String systemId)
                       throws org.w3c.dom.DOMException

  Creates a new `EntitiesDescriptor` instance from the given Element node.
Parameters:
  `element` - A Liberty EntitiesDescriptor XML element.
  `systemId` - The URI string system ID for the `EntitiesDescriptor`.

### EntitiesDescriptor

    public EntitiesDescriptor(org.w3c.dom.Document owner)
                       throws org.w3c.dom.DOMException

  Creates a new `EntitiesDescriptor` instance within the specified XML Document.
Parameters:
  `owner` - The owner document of the new Liberty EntitiesDescriptor element.

Method Detail

### addEntityDescriptor

    public void addEntityDescriptor(EntityDescriptor descriptor)

  Adds an EntityDescriptor child element to this `EntitiesDescriptor` element.
  Parameters:
    `descriptor` - The `EntityDesciptor` to add.

### getEntityDescriptors

    public java.util.List getEntityDescriptors()

  Returns a list of this `EntitiesDescriptor` element's EntityDescriptor child elements.
  Returns:
    A `List` of `EntityDescriptor`s.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.